/* Enlaza CSS con las fuentes externas de Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Enlaza el CSS con la biblioteca de iconos de font-awesome */
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css');

/* DECLARACIÓN DE VARIABLES CSS */
:root {
    /* PALETA DE COLORES */
   
    --color-azul: #966c2d;
    --color-blanco-humo:#F7F7F7;   
    --color-gris-oscuro:#212529;
    --color-negro-claro: #171717;
    --color-blanco: #fff;
    --color-negro:#000;

    /* TIPOGRAFIAS */
    --fuente-principal: "Poppins", sans-serif;
    --fuente-secundaria: "Oswald", sans-serif;
}


/* TIPOS DE SELECTORES DE ESTILOS */

/* SELECTOR UNIVERSAL DE OBJETOS */
* {
    /* ELIMINA EL ESPACIADO Y MARGENES PREDETERMINADOS */
    margin: 0;
    padding: 0;

    /* EVITA QUE CAMBIE EL TAMAÑO DE UNA CAJA CUANDO APLIQUES PADDING, MARING y BORDER */
    box-sizing: border-box;
}

/* SELECTORES DE ESTILO POR ETIQUETA HTML */
body {
    font-family: var(--fuente-principal);
    font-size: 18px;
    line-height: 2em;
}

h1 {
    font-size: 50px;
    text-align: center;
    text-transform: uppercase;
    font-family: var(--fuente-secundaria);
}

h2 {
    font-size: 40px;
    font-weight: 200;
    letter-spacing: 5px;
    text-shadow: 4px 4px 8px rgba(32,54,70,0.6);
}

p, h2, h3, h4 {
    margin-bottom: 20px;
}

img, video, iframe {
    /* ELIMINA EL ESPACIO INFERIOR QUE APARECE DEBAJO DE LOS OBJETOS */
    display: block;
}

/* SELECTORES DE ESTILO POR IDENTIFICADOR (ID) */

#barra-superior {
    background-color: var(--color-azul);
    color: var(--color-blanco-humo);
    font-size: 0.8em;

    padding-top: 5px;
    padding-bottom: 5px;
}

#barra-superior a {
    color: var(--color-blanco-humo);
    text-decoration: none; /* Quita el subrayado */
    margin-right: 15px;
}

#barra-superior i {
    font-size: 1.2em;
}

#barra-superior .fila {
    justify-content: space-between;
}

#cabecera {
    background-color: var(--color-blanco);
    color: var(--color-gris-oscuro);

    padding-top: 10px;
    padding-bottom: 10px;

    /* Posicionamiento */
    position: sticky;
    top: 0px;
    z-index: 1; /* La caja aparezca encima de los demas */
}

#nosotros {
    /* background-color: var(--color-morado); */
    color: var(--color-gris-oscuro);
    background: #966c2d;
    background: linear-gradient(90deg,#EFEFF8 0%, #966c2d 90%);
    background: -webkit-linear-gradient(90deg,#EFEFF8 0%, #966c2d 90%);
    background: -moz-linear-gradient(90deg,#EFEFF8 0%, #966c2d 90%);
}


#conferencia img:hover {
    transform: scale(120%);
}

#conferencia p {
    text-align: center;
}

#conferencia h2 {
    text-align: center;
}

#conferencia .boton {
    text-align: center;
}

#servicios {
    background-color: var(--color-negro-claro);
    color: var(--color-gris-oscuro);
}

#ourservices {
    background-color: var(--color-negro-claro);
    color: var(--color-gris-oscuro);
}

#docentes .columna {
    margin-bottom: 30px;
}

#muebles {
    background-image: url('imagenes/Fondo3.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center right;
    background-attachment: fixed;
}

#servicios {
    background-color: var(--color-gris-oscuro);
    color: var(--color-blanco-humo);
}


#ourservices {
    background-color: var(--color-azul);
    color: var(--color-blanco-humo);
}



#servicios .columna {
    text-align: center;
}

#ourservices .columna {
    text-align: center;
}

#servicios i {
    font-size: 2em;
    color: var(--color-blanco);
    width: 100px;
    height: 100px;
    border: 1px solid var(--color-blanco);

    display: flex;
    justify-content: center;
    align-items: center;
}

#ourservices i {
    font-size: 2em;
    color: var(--color-blanco);
    width: 100px;
    height: 100px;
    border: 1px solid var(--color-blanco);

    display: flex;
    justify-content: center;
    align-items: center;
}




#testimonios {
    background-color: var(--color-gris-oscuro);
    color: var(--color-blanco-humo);
}

#clientes {
    background-color: var(--color-blanco);
    color: var(--color);
}

#clientes h3 {
    margin-top: 15px;
    margin-bottom: 5px;
    text-align: center;
    color: var(--color-gris-oscuro);
}

#clientes img {
    /* box-shadow: 2px 4px 18px 0px rgba(32,54,70,0.75);
    -webkit-box-shadow: 2px 4px 18px 0px rgba(32,54,70,0.75);
    -moz-box-shadow: 2px 4px 18px 0px rgba(32,54,70,0.75); */

    box-shadow: 0 15px 20px 0 rgba(32, 54, 70, 0.438)!important;

    /* box-shadow: 0 0 6px #bbb; */

    border-radius: 20%;
}

#clientes .columna {
    border: 1px solid rgba(32, 54, 70, 0.2);
    padding-top: 20px;
    margin-left: 10px;
    margin-right: 10px;
    background-color: var(--color-blanco-humo);

    border-radius: 20px 20px 20px 20px;
    -webkit-border-radius: 20px 20px 20px 20px;
    -moz-border-radius: 20px 20px 20px 20px;
}



#pie {
    background-color: var(--color-azul);
    color: var(--color-blanco-humo);
    
}

#barra-ubicacion {
    background-color: var(--color-azul);
    color: var(--color-blanco);
}

#barra-ubicacion .titulo-pagina {
    font-size: 40px;
    font-weight: 800;
    margin-bottom: 10px;
}

#barra-ubicacion a {
    color: var(--color-blanco);

}



/* SELECTORES DE ESTILO DE TIPO CLASS */
.espaciado {
    padding-top: 90px;
    padding-bottom: 90px;
}

.contenedor {
    max-width: 70%;
    margin-left: auto;
    margin-right: auto;
}

.ajustar-imagen {
    width: 100%;
    height: auto;
}

/* FlexBox */
.fila {
    display: flex; /* Activa flexBox */
    flex-direction: row; /* Las cajas hijo se alinean en fila */
    flex-wrap: wrap; /* Permite salto de fila en flexbox*/
    /* Retrocede el margen izquierdo y derecho en 15px */
    margin-left: -15px;
    margin-right: -15px;
}

/* Para que todas las cajas hijo tengan el mismo ancho */
.columna {
    flex-basis: 0;
    flex-grow: 1;

    /* Espacio entre cajas */
    padding-left: 15px;
    padding-right: 15px;
}

.boton {
    display: block;
    text-decoration: none;
    width: 40%;
    padding-top: 5px;
    padding-bottom: 5px;
    border: 1px solid rgba(32, 54, 70, 0.2);
    text-align: center;
    border-radius: 25px;
    background-color: var(--color-azul);
    color: var(--color-blanco-humo);
}

.centrar-verticalmente {
    justify-content: center;
    align-items: center;
}

.ocultar-desborde {
    overflow: hidden;
}

.texto-enorme {
    font-size: 3em;
    line-height: 1.5em;
    margin-left: 20px;
}

.texto-resaltado {
    color: var(--color-azul);
    font-weight: 800;
    text-shadow: 2px 2px 15px var(--color-blanco-humo);
}

.texto-blanco {
    color: var(--color-blanco-humo);
    font-weight: 350;
    
}

.centrar-block {
    display: flex;
    justify-content: center;
}


.banner-padre {
    position: relative;
}

.banner-hijo {
    position: absolute;
    /* top: -50px;
    right: 0px; */

    bottom: -50px;
    left: calc(50% - 300px);

    width: 600px;
    background-color: var(--color-gris-oscuro);
    color: var(--color-blanco-humo);
    padding: 20px 15px;
}


.galeria-padre {
    position: relative;
    margin-bottom: 30px
}

.galeria-hijo {
    position: absolute;
    top: 0px;
    padding: 15px;
    text-align: center;
    width: 100%;
    height: 100%;
    background-color: var(--color-azul);
    color: var(--color-blanco);
    opacity: 0; /* Oculta la caja */
    transition: all 0.5s ease-in-out;
}

#galeria .columna:hover .galeria-hijo {
    opacity: 1;
}

#galeria .columna img {
    transition: all 0.5s ease-in-out;
}

#galeria .columna:hover img {
    transform: scale(1.2);
}

#galeria .columna p {
    transform: translateX(-250px);
    transition: all 0.5s ease-in-out;
}

#galeria .columna:hover p {
    transform: translateX(0px);
}


/* ESTILOS PARA LA BARRA DE NAVEGACIÓN */

.nav-bar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.nav-logo {
    width: 120px;
}

.nav-menu {
    list-style-type: none;
    display: flex;
    flex-direction: row;
}

.nav-menu-link {
    text-decoration: none;
    display: inline-block;
    margin: 0px 10px;
    background-color: var(--color-azul);
    color: var(--color-blanco);
    padding: 5px 10px;
    border-radius:5px;
    transition: all 0.5s ease-in-out;
}

.nav-menu-link:hover {
    background-color: var(--color-gris-oscuro);
    /* box-shadow: 2px 0px 10px var(--color-negro); */
}

.nav-link-activo {
    background-color: var(--color-gris-oscuro);
}

.col-25 {
max-width: 25%;
flex-basis: 25%
}


.col-33 {
max-width: 33.33%;
flex-basis: 33.33%;
}

.col-50 {
max-width: 50%;
flex-basis: 50%;
}

.ajustar-video {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
}

.ajustar-mapa {
    width: 100%;
}



/* DISEÑO WEB RESPONSIVE */


/* Pantalla de Laptop */
@media screen and (max-width:1024px) {
    .contenedor {
        max-width: 90%;
    }

    #eventos .columna {
        font-size: 0.90em;
    }
}

/* Pantalla de tablet */
@media screen and (max-width:768px) {
    .banner-hijo {
        position: static;
        width: 100%;
        text-align: center;
    }

    #conferencia .fila {
        flex-direction: column;
    }

    #conferencia .columna {
        margin-bottom: () ;
    }

    #valores .columna {
        flex-basis: 50%;
        max-width: 50%;
        margin-bottom: 20px;
    }

    #muebles .columna {
        flex-basis: 47%;
        max-width: 47%;
        margin-bottom: 20px;
    }

    #eventos .fila {
        flex-direction: column;
    }

    .eventos-hijo {
        display: flex;
        align-items: center;
    }



    
}

/* Pantalla de celular */
@media screen and (max-width:576px) {

    .nav-bar {
        flex-direction: column;
    }

    .nav-menu-link {
        font-size: 0.8em;
        padding: 5px;
        margin: 5px;
    }

    body {
        font-size: 14px;
    }

    .texto-enorme {
        font-size: 2em;
        
    }

    #muebles .columna {
        max-width: 100%;
        flex-basis: 100%;
        
    }

    #extension-empresarial .fila {
        flex-direction: column;
    }

}
